]> CyberLeo.Net >> Repos - FreeBSD/releng/9.2.git/blob - crypto/heimdal/lib/hx509/Makefile.in
- Copy stable/9 to releng/9.2 as part of the 9.2-RELEASE cycle.
[FreeBSD/releng/9.2.git] / crypto / heimdal / lib / hx509 / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # $Id: Makefile.am 22459 2008-01-15 21:46:20Z lha $
18
19 # $Id: Makefile.am.common 10998 2002-05-19 18:35:37Z joda $
20
21 # $Id: Makefile.am.common 22488 2008-01-21 11:47:22Z lha $
22
23
24
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 DIST_COMMON = $(dist_include_HEADERS) $(srcdir)/Makefile.am \
44         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
45         $(top_srcdir)/cf/Makefile.am.common ChangeLog TODO
46 @FRAMEWORK_SECURITY_TRUE@am__append_1 = -framework Security -framework CoreFoundation
47 @versionscript_TRUE@am__append_2 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
48 bin_PROGRAMS = hxtool$(EXEEXT)
49 check_PROGRAMS = $(am__EXEEXT_1) test_soft_pkcs11$(EXEEXT)
50 TESTS = $(SCRIPT_TESTS) $(am__EXEEXT_1)
51 subdir = lib/hx509
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
54         $(top_srcdir)/cf/auth-modules.m4 $(top_srcdir)/cf/autobuild.m4 \
55         $(top_srcdir)/cf/broken-getaddrinfo.m4 \
56         $(top_srcdir)/cf/broken-glob.m4 \
57         $(top_srcdir)/cf/broken-realloc.m4 \
58         $(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
59         $(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
60         $(top_srcdir)/cf/capabilities.m4 \
61         $(top_srcdir)/cf/check-compile-et.m4 \
62         $(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
63         $(top_srcdir)/cf/check-man.m4 \
64         $(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
65         $(top_srcdir)/cf/check-type-extra.m4 \
66         $(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
67         $(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
68         $(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
69         $(top_srcdir)/cf/dlopen.m4 \
70         $(top_srcdir)/cf/find-func-no-libs.m4 \
71         $(top_srcdir)/cf/find-func-no-libs2.m4 \
72         $(top_srcdir)/cf/find-func.m4 \
73         $(top_srcdir)/cf/find-if-not-broken.m4 \
74         $(top_srcdir)/cf/framework-security.m4 \
75         $(top_srcdir)/cf/have-struct-field.m4 \
76         $(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
77         $(top_srcdir)/cf/krb-bigendian.m4 \
78         $(top_srcdir)/cf/krb-func-getlogin.m4 \
79         $(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
80         $(top_srcdir)/cf/krb-readline.m4 \
81         $(top_srcdir)/cf/krb-struct-spwd.m4 \
82         $(top_srcdir)/cf/krb-struct-winsize.m4 \
83         $(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/mips-abi.m4 \
84         $(top_srcdir)/cf/misc.m4 $(top_srcdir)/cf/need-proto.m4 \
85         $(top_srcdir)/cf/osfc2.m4 $(top_srcdir)/cf/otp.m4 \
86         $(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
87         $(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
88         $(top_srcdir)/cf/roken-frag.m4 \
89         $(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
90         $(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
91         $(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
92         $(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
93         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
94 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95         $(ACLOCAL_M4)
96 mkinstalldirs = $(install_sh) -d
97 CONFIG_HEADER = $(top_builddir)/include/config.h
98 CONFIG_CLEAN_FILES =
99 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
100 am__vpath_adj = case $$p in \
101     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
102     *) f=$$p;; \
103   esac;
104 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
105 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
106         "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"
107 libLTLIBRARIES_INSTALL = $(INSTALL)
108 LTLIBRARIES = $(lib_LTLIBRARIES)
109 am__DEPENDENCIES_1 =
110 libhx509_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
111         $(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
112         $(am__DEPENDENCIES_1)
113 dist_libhx509_la_OBJECTS = libhx509_la-ca.lo libhx509_la-cert.lo \
114         libhx509_la-cms.lo libhx509_la-collector.lo \
115         libhx509_la-crypto.lo libhx509_la-doxygen.lo \
116         libhx509_la-error.lo libhx509_la-env.lo libhx509_la-file.lo \
117         libhx509_la-keyset.lo libhx509_la-ks_dir.lo \
118         libhx509_la-ks_file.lo libhx509_la-ks_mem.lo \
119         libhx509_la-ks_null.lo libhx509_la-ks_p11.lo \
120         libhx509_la-ks_p12.lo libhx509_la-ks_keychain.lo \
121         libhx509_la-lock.lo libhx509_la-name.lo libhx509_la-peer.lo \
122         libhx509_la-print.lo libhx509_la-softp11.lo libhx509_la-req.lo \
123         libhx509_la-revoke.lo
124 am__objects_1 = libhx509_la-asn1_OCSPBasicOCSPResponse.lo \
125         libhx509_la-asn1_OCSPCertID.lo \
126         libhx509_la-asn1_OCSPCertStatus.lo \
127         libhx509_la-asn1_OCSPInnerRequest.lo \
128         libhx509_la-asn1_OCSPKeyHash.lo \
129         libhx509_la-asn1_OCSPRequest.lo \
130         libhx509_la-asn1_OCSPResponderID.lo \
131         libhx509_la-asn1_OCSPResponse.lo \
132         libhx509_la-asn1_OCSPResponseBytes.lo \
133         libhx509_la-asn1_OCSPResponseData.lo \
134         libhx509_la-asn1_OCSPResponseStatus.lo \
135         libhx509_la-asn1_OCSPSignature.lo \
136         libhx509_la-asn1_OCSPSingleResponse.lo \
137         libhx509_la-asn1_OCSPTBSRequest.lo \
138         libhx509_la-asn1_OCSPVersion.lo \
139         libhx509_la-asn1_id_pkix_ocsp.lo \
140         libhx509_la-asn1_id_pkix_ocsp_basic.lo \
141         libhx509_la-asn1_id_pkix_ocsp_nonce.lo
142 am__objects_2 = libhx509_la-asn1_CertificationRequestInfo.lo \
143         libhx509_la-asn1_CertificationRequest.lo
144 am__objects_3 = $(am__objects_1) $(am__objects_2) \
145         libhx509_la-hx509_err.lo
146 nodist_libhx509_la_OBJECTS = $(am__objects_3)
147 libhx509_la_OBJECTS = $(dist_libhx509_la_OBJECTS) \
148         $(nodist_libhx509_la_OBJECTS)
149 libhx509_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
150         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
151         $(libhx509_la_LDFLAGS) $(LDFLAGS) -o $@
152 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
153 am__EXEEXT_1 = test_name$(EXEEXT)
154 PROGRAMS = $(bin_PROGRAMS)
155 dist_hxtool_OBJECTS = hxtool-hxtool.$(OBJEXT)
156 nodist_hxtool_OBJECTS = hxtool-hxtool-commands.$(OBJEXT)
157 hxtool_OBJECTS = $(dist_hxtool_OBJECTS) $(nodist_hxtool_OBJECTS)
158 hxtool_DEPENDENCIES = libhx509.la $(top_builddir)/lib/asn1/libasn1.la \
159         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
160         $(top_builddir)/lib/sl/libsl.la
161 test_name_SOURCES = test_name.c
162 test_name_OBJECTS = test_name.$(OBJEXT)
163 test_name_LDADD = $(LDADD)
164 test_name_DEPENDENCIES = libhx509.la
165 test_soft_pkcs11_SOURCES = test_soft_pkcs11.c
166 test_soft_pkcs11_OBJECTS =  \
167         test_soft_pkcs11-test_soft_pkcs11.$(OBJEXT)
168 test_soft_pkcs11_DEPENDENCIES = libhx509.la
169 DEFAULT_INCLUDES = -I. -I$(top_builddir)/include@am__isrc@
170 depcomp =
171 am__depfiles_maybe =
172 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
173         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
174 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
175         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
176         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
177 CCLD = $(CC)
178 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
179         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
180         $(LDFLAGS) -o $@
181 SOURCES = $(dist_libhx509_la_SOURCES) $(nodist_libhx509_la_SOURCES) \
182         $(dist_hxtool_SOURCES) $(nodist_hxtool_SOURCES) test_name.c \
183         test_soft_pkcs11.c
184 DIST_SOURCES = $(dist_libhx509_la_SOURCES) $(dist_hxtool_SOURCES) \
185         test_name.c test_soft_pkcs11.c
186 dist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
187 nodist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
188 HEADERS = $(dist_include_HEADERS) $(nodist_include_HEADERS)
189 ETAGS = etags
190 CTAGS = ctags
191 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
192 ACLOCAL = @ACLOCAL@
193 AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
194 AMTAR = @AMTAR@
195 AR = @AR@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AWK = @AWK@
200 CANONICAL_HOST = @CANONICAL_HOST@
201 CATMAN = @CATMAN@
202 CATMANEXT = @CATMANEXT@
203 CC = @CC@
204 CFLAGS = @CFLAGS@
205 COMPILE_ET = @COMPILE_ET@
206 CPP = @CPP@
207 CPPFLAGS = @CPPFLAGS@
208 CXX = @CXX@
209 CXXCPP = @CXXCPP@
210 CXXFLAGS = @CXXFLAGS@
211 CYGPATH_W = @CYGPATH_W@
212 DBLIB = @DBLIB@
213 DEFS = @DEFS@
214 DIR_com_err = @DIR_com_err@
215 DIR_hcrypto = @DIR_hcrypto@
216 DIR_hdbdir = @DIR_hdbdir@
217 DIR_roken = @DIR_roken@
218 ECHO = @ECHO@
219 ECHO_C = @ECHO_C@
220 ECHO_N = @ECHO_N@
221 ECHO_T = @ECHO_T@
222 EGREP = @EGREP@
223 EXEEXT = @EXEEXT@
224 F77 = @F77@
225 FFLAGS = @FFLAGS@
226 GREP = @GREP@
227 GROFF = @GROFF@
228 INCLUDES_roken = @INCLUDES_roken@
229 INCLUDE_hcrypto = @INCLUDE_hcrypto@
230 INCLUDE_hesiod = @INCLUDE_hesiod@
231 INCLUDE_krb4 = @INCLUDE_krb4@
232 INCLUDE_openldap = @INCLUDE_openldap@
233 INCLUDE_readline = @INCLUDE_readline@
234 INSTALL = @INSTALL@
235 INSTALL_DATA = @INSTALL_DATA@
236 INSTALL_PROGRAM = @INSTALL_PROGRAM@
237 INSTALL_SCRIPT = @INSTALL_SCRIPT@
238 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
239 LDFLAGS = @LDFLAGS@
240 LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
241 LEX = @LEX@
242 LEXLIB = @LEXLIB@
243 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
244 LIBADD_roken = @LIBADD_roken@
245 LIBOBJS = @LIBOBJS@
246 LIBS = @LIBS@
247 LIBTOOL = @LIBTOOL@
248 LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
249 LIB_NDBM = @LIB_NDBM@
250 LIB_XauFileName = @LIB_XauFileName@
251 LIB_XauReadAuth = @LIB_XauReadAuth@
252 LIB_XauWriteAuth = @LIB_XauWriteAuth@
253 LIB_bswap16 = @LIB_bswap16@
254 LIB_bswap32 = @LIB_bswap32@
255 LIB_com_err = @LIB_com_err@
256 LIB_com_err_a = @LIB_com_err_a@
257 LIB_com_err_so = @LIB_com_err_so@
258 LIB_crypt = @LIB_crypt@
259 LIB_db_create = @LIB_db_create@
260 LIB_dbm_firstkey = @LIB_dbm_firstkey@
261 LIB_dbopen = @LIB_dbopen@
262 LIB_dlopen = @LIB_dlopen@
263 LIB_dn_expand = @LIB_dn_expand@
264 LIB_door_create = @LIB_door_create@
265 LIB_el_init = @LIB_el_init@
266 LIB_freeaddrinfo = @LIB_freeaddrinfo@
267 LIB_gai_strerror = @LIB_gai_strerror@
268 LIB_getaddrinfo = @LIB_getaddrinfo@
269 LIB_gethostbyname = @LIB_gethostbyname@
270 LIB_gethostbyname2 = @LIB_gethostbyname2@
271 LIB_getnameinfo = @LIB_getnameinfo@
272 LIB_getpwnam_r = @LIB_getpwnam_r@
273 LIB_getsockopt = @LIB_getsockopt@
274 LIB_hcrypto = @LIB_hcrypto@
275 LIB_hcrypto_a = @LIB_hcrypto_a@
276 LIB_hcrypto_appl = @LIB_hcrypto_appl@
277 LIB_hcrypto_so = @LIB_hcrypto_so@
278 LIB_hesiod = @LIB_hesiod@
279 LIB_hstrerror = @LIB_hstrerror@
280 LIB_kdb = @LIB_kdb@
281 LIB_krb4 = @LIB_krb4@
282 LIB_loadquery = @LIB_loadquery@
283 LIB_logout = @LIB_logout@
284 LIB_logwtmp = @LIB_logwtmp@
285 LIB_openldap = @LIB_openldap@
286 LIB_openpty = @LIB_openpty@
287 LIB_otp = @LIB_otp@
288 LIB_pidfile = @LIB_pidfile@
289 LIB_readline = @LIB_readline@
290 LIB_res_ndestroy = @LIB_res_ndestroy@
291 LIB_res_nsearch = @LIB_res_nsearch@
292 LIB_res_search = @LIB_res_search@
293 LIB_roken = @LIB_roken@
294 LIB_security = @LIB_security@
295 LIB_setsockopt = @LIB_setsockopt@
296 LIB_socket = @LIB_socket@
297 LIB_syslog = @LIB_syslog@
298 LIB_tgetent = @LIB_tgetent@
299 LN_S = @LN_S@
300 LTLIBOBJS = @LTLIBOBJS@
301 MAINT = @MAINT@
302 MAKEINFO = @MAKEINFO@
303 MKDIR_P = @MKDIR_P@
304 NROFF = @NROFF@
305 OBJEXT = @OBJEXT@
306 PACKAGE = @PACKAGE@
307 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
308 PACKAGE_NAME = @PACKAGE_NAME@
309 PACKAGE_STRING = @PACKAGE_STRING@
310 PACKAGE_TARNAME = @PACKAGE_TARNAME@
311 PACKAGE_VERSION = @PACKAGE_VERSION@
312 PATH_SEPARATOR = @PATH_SEPARATOR@
313 PTHREADS_CFLAGS = @PTHREADS_CFLAGS@
314 PTHREADS_LIBS = @PTHREADS_LIBS@
315 RANLIB = @RANLIB@
316 SET_MAKE = @SET_MAKE@
317 SHELL = @SHELL@
318 STRIP = @STRIP@
319 VERSION = @VERSION@
320 VERSIONING = @VERSIONING@
321 VOID_RETSIGTYPE = @VOID_RETSIGTYPE@
322 WFLAGS = @WFLAGS@
323 WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
324 WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
325 XMKMF = @XMKMF@
326 X_CFLAGS = @X_CFLAGS@
327 X_EXTRA_LIBS = @X_EXTRA_LIBS@
328 X_LIBS = @X_LIBS@
329 X_PRE_LIBS = @X_PRE_LIBS@
330 YACC = @YACC@
331 YFLAGS = @YFLAGS@
332 abs_builddir = @abs_builddir@
333 abs_srcdir = @abs_srcdir@
334 abs_top_builddir = @abs_top_builddir@
335 abs_top_srcdir = @abs_top_srcdir@
336 ac_ct_CC = @ac_ct_CC@
337 ac_ct_CXX = @ac_ct_CXX@
338 ac_ct_F77 = @ac_ct_F77@
339 am__leading_dot = @am__leading_dot@
340 am__tar = @am__tar@
341 am__untar = @am__untar@
342 bindir = @bindir@
343 build = @build@
344 build_alias = @build_alias@
345 build_cpu = @build_cpu@
346 build_os = @build_os@
347 build_vendor = @build_vendor@
348 builddir = @builddir@
349 datadir = @datadir@
350 datarootdir = @datarootdir@
351 docdir = @docdir@
352 dpagaix_cflags = @dpagaix_cflags@
353 dpagaix_ldadd = @dpagaix_ldadd@
354 dpagaix_ldflags = @dpagaix_ldflags@
355 dvidir = @dvidir@
356 exec_prefix = @exec_prefix@
357 host = @host@
358 host_alias = @host_alias@
359 host_cpu = @host_cpu@
360 host_os = @host_os@
361 host_vendor = @host_vendor@
362 htmldir = @htmldir@
363 includedir = @includedir@
364 infodir = @infodir@
365 install_sh = @install_sh@
366 libdir = @libdir@
367 libexecdir = @libexecdir@
368 localedir = @localedir@
369 localstatedir = @localstatedir@
370 mandir = @mandir@
371 mkdir_p = @mkdir_p@
372 oldincludedir = @oldincludedir@
373 pdfdir = @pdfdir@
374 prefix = @prefix@
375 program_transform_name = @program_transform_name@
376 psdir = @psdir@
377 sbindir = @sbindir@
378 sharedstatedir = @sharedstatedir@
379 srcdir = @srcdir@
380 sysconfdir = @sysconfdir@
381 target_alias = @target_alias@
382 top_builddir = @top_builddir@
383 top_srcdir = @top_srcdir@
384 SUFFIXES = .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
385 AM_CPPFLAGS = -I$(top_builddir)/include $(INCLUDES_roken)
386 @do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
387 AM_CFLAGS = $(WFLAGS)
388 CP = cp
389 buildinclude = $(top_builddir)/include
390 LIB_getattr = @LIB_getattr@
391 LIB_getpwent_r = @LIB_getpwent_r@
392 LIB_odm_initialize = @LIB_odm_initialize@
393 LIB_setpcred = @LIB_setpcred@
394 HESIODLIB = @HESIODLIB@
395 HESIODINCLUDE = @HESIODINCLUDE@
396 NROFF_MAN = groff -mandoc -Tascii
397 LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
398 @KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
399 @KRB5_TRUE@     $(top_builddir)/lib/asn1/libasn1.la
400
401 @KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
402 @KRB5_TRUE@LIB_tsasl = $(top_builddir)/lib/tsasl/libtsasl.la
403 @DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
404 lib_LTLIBRARIES = libhx509.la
405 libhx509_la_LDFLAGS = -version-info 3:0:0 $(am__append_1) \
406         $(am__append_2)
407 BUILT_SOURCES = \
408         $(gen_files_ocsp:.x=.c)         \
409         $(gen_files_pkcs10:.x=.c)       \
410         hx509_err.c                     \
411         hx509_err.h
412
413 gen_files_ocsp = \
414         asn1_OCSPBasicOCSPResponse.x    \
415         asn1_OCSPCertID.x               \
416         asn1_OCSPCertStatus.x           \
417         asn1_OCSPInnerRequest.x         \
418         asn1_OCSPKeyHash.x              \
419         asn1_OCSPRequest.x              \
420         asn1_OCSPResponderID.x          \
421         asn1_OCSPResponse.x             \
422         asn1_OCSPResponseBytes.x        \
423         asn1_OCSPResponseData.x         \
424         asn1_OCSPResponseStatus.x       \
425         asn1_OCSPSignature.x            \
426         asn1_OCSPSingleResponse.x       \
427         asn1_OCSPTBSRequest.x           \
428         asn1_OCSPVersion.x              \
429         asn1_id_pkix_ocsp.x             \
430         asn1_id_pkix_ocsp_basic.x       \
431         asn1_id_pkix_ocsp_nonce.x
432
433 gen_files_pkcs10 = \
434         asn1_CertificationRequestInfo.x \
435         asn1_CertificationRequest.x
436
437 gen_files_crmf = \
438         asn1_CRMFRDNSequence.x          \
439         asn1_CertReqMessages.x          \
440         asn1_CertReqMsg.x               \
441         asn1_CertRequest.x              \
442         asn1_CertTemplate.x             \
443         asn1_Controls.x                 \
444         asn1_PBMParameter.x             \
445         asn1_PKMACValue.x               \
446         asn1_POPOPrivKey.x              \
447         asn1_POPOSigningKey.x           \
448         asn1_POPOSigningKeyInput.x      \
449         asn1_ProofOfPossession.x        \
450         asn1_SubsequentMessage.x        
451
452 dist_libhx509_la_SOURCES = \
453         ca.c \
454         cert.c \
455         cms.c \
456         collector.c \
457         crypto.c \
458         doxygen.c \
459         error.c \
460         env.c \
461         file.c \
462         hx509-private.h \
463         hx509-protos.h \
464         hx509.h \
465         hx_locl.h \
466         keyset.c \
467         ks_dir.c \
468         ks_file.c \
469         ks_mem.c \
470         ks_null.c \
471         ks_p11.c \
472         ks_p12.c \
473         ks_keychain.c \
474         lock.c \
475         name.c \
476         peer.c \
477         print.c \
478         softp11.c \
479         ref/pkcs11.h \
480         req.c \
481         revoke.c
482
483 libhx509_la_LIBADD = \
484         $(LIB_com_err) \
485         $(LIB_hcrypto) \
486         $(top_builddir)/lib/asn1/libasn1.la \
487         $(LIBADD_roken) \
488         $(LIB_dlopen)
489
490 libhx509_la_CPPFLAGS = -I$(srcdir)/ref $(INCLUDE_hcrypto)
491 nodist_libhx509_la_SOURCES = $(BUILT_SOURCES)
492 asn1_compile = ../asn1/asn1_compile$(EXEEXT)
493 dist_include_HEADERS = hx509.h hx509-protos.h
494 nodist_include_HEADERS = hx509_err.h
495 SLC = $(top_builddir)/lib/sl/slc
496 dist_hxtool_SOURCES = hxtool.c
497 nodist_hxtool_SOURCES = hxtool-commands.c hxtool-commands.h
498 hxtool_CPPFLAGS = $(INCLUDE_hcrypto)
499 hxtool_LDADD = \
500         libhx509.la \
501         $(top_builddir)/lib/asn1/libasn1.la \
502         $(LIB_hcrypto) \
503         $(LIB_roken) \
504         $(top_builddir)/lib/sl/libsl.la
505
506 CLEANFILES = $(BUILT_SOURCES) \
507         $(gen_files_ocsp) ocsp_asn1_files ocsp_asn1.h \
508         $(gen_files_pkcs10) pkcs10_asn1_files pkcs10_asn1.h \
509         $(gen_files_crmf) crmf_asn1_files crmf_asn1.h \
510         $(TESTS) \
511         hxtool-commands.c hxtool-commands.h *.tmp \
512         request.out \
513         out.pem out2.pem \
514         sd.data sd.data.out \
515         ev.data ev.data.out \
516         cert-null.pem cert-sub-ca2.pem \
517         cert-ee.pem cert-ca.pem \
518         cert-sub-ee.pem cert-sub-ca.pem \
519         cert-proxy.der cert-ca.der cert-ee.der pkcs10-request.der \
520         wca.pem wuser.pem wdc.pem wcrl.crl \
521         random-data statfile crl.crl \
522         test p11dbg.log pkcs11.cfg \
523         test-rc-file.rc
524
525
526 #
527 # regression tests
528 #
529 check_SCRIPTS = $(SCRIPT_TESTS)
530 LDADD = libhx509.la
531 test_soft_pkcs11_LDADD = libhx509.la
532 test_soft_pkcs11_CPPFLAGS = -I$(srcdir)/ref
533 PROGRAM_TESTS = \
534         test_name
535
536 SCRIPT_TESTS = \
537         test_ca                 \
538         test_cert               \
539         test_chain              \
540         test_cms                \
541         test_crypto             \
542         test_nist               \
543         test_nist2              \
544         test_pkcs11             \
545         test_java_pkcs11        \
546         test_nist_cert          \
547         test_nist_pkcs12        \
548         test_req                \
549         test_windows            \
550         test_query
551
552 do_subst = sed -e 's,[@]srcdir[@],$(srcdir),g' \
553         -e 's,[@]objdir[@],$(top_builddir)/lib/hx509,g'
554
555 EXTRA_DIST = \
556         version-script.map \
557         crmf.asn1 \
558         data/bleichenbacher-bad.pem \
559         hx509_err.et \
560         hxtool-commands.in \
561         ocsp.asn1 \
562         pkcs10.asn1 \
563         test_ca.in \
564         test_chain.in \
565         test_cert.in \
566         test_cms.in \
567         test_crypto.in \
568         test_nist.in \
569         test_nist2.in \
570         test_nist_cert.in \
571         test_nist_pkcs12.in \
572         test_pkcs11.in \
573         test_java_pkcs11.in \
574         test_query.in \
575         test_req.in \
576         test_windows.in \
577         tst-crypto-available1 \
578         tst-crypto-available2 \
579         tst-crypto-available3 \
580         tst-crypto-select \
581         tst-crypto-select1 \
582         tst-crypto-select2 \
583         tst-crypto-select3 \
584         tst-crypto-select4 \
585         tst-crypto-select5 \
586         tst-crypto-select6 \
587         tst-crypto-select7 \
588         data/bleichenbacher-good.pem \
589         data/bleichenbacher-sf-pad-correct.pem \
590         data/ca.crt \
591         data/ca.key \
592         data/crl1.crl \
593         data/crl1.der \
594         data/gen-req.sh \
595         data/j.pem \
596         data/kdc.crt \
597         data/kdc.key \
598         data/key.der \
599         data/key2.der \
600         data/nist-data \
601         data/nist-data2 \
602         data/no-proxy-test.crt \
603         data/no-proxy-test.key \
604         data/ocsp-req1.der \
605         data/ocsp-req2.der \
606         data/ocsp-resp1-2.der \
607         data/ocsp-resp1-3.der \
608         data/ocsp-resp1-ca.der \
609         data/ocsp-resp1-keyhash.der \
610         data/ocsp-resp1-ocsp-no-cert.der \
611         data/ocsp-resp1-ocsp.der \
612         data/ocsp-resp1.der \
613         data/ocsp-resp2.der \
614         data/ocsp-responder.crt \
615         data/ocsp-responder.key \
616         data/openssl.cnf \
617         data/pkinit-proxy-chain.crt \
618         data/pkinit-proxy.crt \
619         data/pkinit-proxy.key \
620         data/pkinit-pw.key \
621         data/pkinit.crt \
622         data/pkinit.key \
623         data/proxy-level-test.crt \
624         data/proxy-level-test.key \
625         data/proxy-test.crt \
626         data/proxy-test.key \
627         data/proxy10-child-test.crt \
628         data/proxy10-child-test.key \
629         data/proxy10-child-child-test.crt \
630         data/proxy10-child-child-test.key \
631         data/proxy10-test.crt \
632         data/proxy10-test.key \
633         data/revoke.crt \
634         data/revoke.key \
635         data/sf-class2-root.pem \
636         data/static-file \
637         data/sub-ca.crt \
638         data/sub-ca.key \
639         data/sub-cert.crt \
640         data/sub-cert.key \
641         data/sub-cert.p12 \
642         data/test-ds-only.crt \
643         data/test-ds-only.key \
644         data/test-enveloped-aes-128 \
645         data/test-enveloped-aes-256 \
646         data/test-enveloped-des \
647         data/test-enveloped-des-ede3 \
648         data/test-enveloped-rc2-128 \
649         data/test-enveloped-rc2-40 \
650         data/test-enveloped-rc2-64 \
651         data/test-ke-only.crt \
652         data/test-ke-only.key \
653         data/test-nopw.p12 \
654         data/test-pw.key \
655         data/test-signed-data \
656         data/test-signed-data-noattr \
657         data/test-signed-data-noattr-nocerts \
658         data/test.combined.crt \
659         data/test.crt \
660         data/test.key \
661         data/test.p12 \
662         data/yutaka-pad-broken-ca.pem \
663         data/yutaka-pad-broken-cert.pem \
664         data/yutaka-pad-ok-ca.pem \
665         data/yutaka-pad-ok-cert.pem \
666         data/yutaka-pad.key
667
668 all: $(BUILT_SOURCES)
669         $(MAKE) $(AM_MAKEFLAGS) all-am
670
671 .SUFFIXES:
672 .SUFFIXES: .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
673 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
674         @for dep in $?; do \
675           case '$(am__configure_deps)' in \
676             *$$dep*) \
677               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
678                 && exit 0; \
679               exit 1;; \
680           esac; \
681         done; \
682         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  --ignore-deps lib/hx509/Makefile'; \
683         cd $(top_srcdir) && \
684           $(AUTOMAKE) --foreign  --ignore-deps lib/hx509/Makefile
685 .PRECIOUS: Makefile
686 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
687         @case '$?' in \
688           *config.status*) \
689             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
690           *) \
691             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
692             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
693         esac;
694
695 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
696         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
697
698 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
699         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
700 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
701         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
702 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
703         @$(NORMAL_INSTALL)
704         test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
705         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
706           if test -f $$p; then \
707             f=$(am__strip_dir) \
708             echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
709             $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
710           else :; fi; \
711         done
712
713 uninstall-libLTLIBRARIES:
714         @$(NORMAL_UNINSTALL)
715         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
716           p=$(am__strip_dir) \
717           echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
718           $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
719         done
720
721 clean-libLTLIBRARIES:
722         -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
723         @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
724           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
725           test "$$dir" != "$$p" || dir=.; \
726           echo "rm -f \"$${dir}/so_locations\""; \
727           rm -f "$${dir}/so_locations"; \
728         done
729 libhx509.la: $(libhx509_la_OBJECTS) $(libhx509_la_DEPENDENCIES) 
730         $(libhx509_la_LINK) -rpath $(libdir) $(libhx509_la_OBJECTS) $(libhx509_la_LIBADD) $(LIBS)
731 install-binPROGRAMS: $(bin_PROGRAMS)
732         @$(NORMAL_INSTALL)
733         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
734         @list='$(bin_PROGRAMS)'; for p in $$list; do \
735           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
736           if test -f $$p \
737              || test -f $$p1 \
738           ; then \
739             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
740            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
741            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
742           else :; fi; \
743         done
744
745 uninstall-binPROGRAMS:
746         @$(NORMAL_UNINSTALL)
747         @list='$(bin_PROGRAMS)'; for p in $$list; do \
748           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
749           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
750           rm -f "$(DESTDIR)$(bindir)/$$f"; \
751         done
752
753 clean-binPROGRAMS:
754         @list='$(bin_PROGRAMS)'; for p in $$list; do \
755           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
756           echo " rm -f $$p $$f"; \
757           rm -f $$p $$f ; \
758         done
759
760 clean-checkPROGRAMS:
761         @list='$(check_PROGRAMS)'; for p in $$list; do \
762           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
763           echo " rm -f $$p $$f"; \
764           rm -f $$p $$f ; \
765         done
766 hxtool$(EXEEXT): $(hxtool_OBJECTS) $(hxtool_DEPENDENCIES) 
767         @rm -f hxtool$(EXEEXT)
768         $(LINK) $(hxtool_OBJECTS) $(hxtool_LDADD) $(LIBS)
769 test_name$(EXEEXT): $(test_name_OBJECTS) $(test_name_DEPENDENCIES) 
770         @rm -f test_name$(EXEEXT)
771         $(LINK) $(test_name_OBJECTS) $(test_name_LDADD) $(LIBS)
772 test_soft_pkcs11$(EXEEXT): $(test_soft_pkcs11_OBJECTS) $(test_soft_pkcs11_DEPENDENCIES) 
773         @rm -f test_soft_pkcs11$(EXEEXT)
774         $(LINK) $(test_soft_pkcs11_OBJECTS) $(test_soft_pkcs11_LDADD) $(LIBS)
775
776 mostlyclean-compile:
777         -rm -f *.$(OBJEXT)
778
779 distclean-compile:
780         -rm -f *.tab.c
781
782 .c.o:
783         $(COMPILE) -c $<
784
785 .c.obj:
786         $(COMPILE) -c `$(CYGPATH_W) '$<'`
787
788 .c.lo:
789         $(LTCOMPILE) -c -o $@ $<
790
791 libhx509_la-ca.lo: ca.c
792         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ca.lo `test -f 'ca.c' || echo '$(srcdir)/'`ca.c
793
794 libhx509_la-cert.lo: cert.c
795         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-cert.lo `test -f 'cert.c' || echo '$(srcdir)/'`cert.c
796
797 libhx509_la-cms.lo: cms.c
798         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-cms.lo `test -f 'cms.c' || echo '$(srcdir)/'`cms.c
799
800 libhx509_la-collector.lo: collector.c
801         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-collector.lo `test -f 'collector.c' || echo '$(srcdir)/'`collector.c
802
803 libhx509_la-crypto.lo: crypto.c
804         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-crypto.lo `test -f 'crypto.c' || echo '$(srcdir)/'`crypto.c
805
806 libhx509_la-doxygen.lo: doxygen.c
807         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-doxygen.lo `test -f 'doxygen.c' || echo '$(srcdir)/'`doxygen.c
808
809 libhx509_la-error.lo: error.c
810         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
811
812 libhx509_la-env.lo: env.c
813         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-env.lo `test -f 'env.c' || echo '$(srcdir)/'`env.c
814
815 libhx509_la-file.lo: file.c
816         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-file.lo `test -f 'file.c' || echo '$(srcdir)/'`file.c
817
818 libhx509_la-keyset.lo: keyset.c
819         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-keyset.lo `test -f 'keyset.c' || echo '$(srcdir)/'`keyset.c
820
821 libhx509_la-ks_dir.lo: ks_dir.c
822         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_dir.lo `test -f 'ks_dir.c' || echo '$(srcdir)/'`ks_dir.c
823
824 libhx509_la-ks_file.lo: ks_file.c
825         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_file.lo `test -f 'ks_file.c' || echo '$(srcdir)/'`ks_file.c
826
827 libhx509_la-ks_mem.lo: ks_mem.c
828         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_mem.lo `test -f 'ks_mem.c' || echo '$(srcdir)/'`ks_mem.c
829
830 libhx509_la-ks_null.lo: ks_null.c
831         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_null.lo `test -f 'ks_null.c' || echo '$(srcdir)/'`ks_null.c
832
833 libhx509_la-ks_p11.lo: ks_p11.c
834         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_p11.lo `test -f 'ks_p11.c' || echo '$(srcdir)/'`ks_p11.c
835
836 libhx509_la-ks_p12.lo: ks_p12.c
837         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_p12.lo `test -f 'ks_p12.c' || echo '$(srcdir)/'`ks_p12.c
838
839 libhx509_la-ks_keychain.lo: ks_keychain.c
840         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_keychain.lo `test -f 'ks_keychain.c' || echo '$(srcdir)/'`ks_keychain.c
841
842 libhx509_la-lock.lo: lock.c
843         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-lock.lo `test -f 'lock.c' || echo '$(srcdir)/'`lock.c
844
845 libhx509_la-name.lo: name.c
846         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-name.lo `test -f 'name.c' || echo '$(srcdir)/'`name.c
847
848 libhx509_la-peer.lo: peer.c
849         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-peer.lo `test -f 'peer.c' || echo '$(srcdir)/'`peer.c
850
851 libhx509_la-print.lo: print.c
852         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-print.lo `test -f 'print.c' || echo '$(srcdir)/'`print.c
853
854 libhx509_la-softp11.lo: softp11.c
855         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-softp11.lo `test -f 'softp11.c' || echo '$(srcdir)/'`softp11.c
856
857 libhx509_la-req.lo: req.c
858         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-req.lo `test -f 'req.c' || echo '$(srcdir)/'`req.c
859
860 libhx509_la-revoke.lo: revoke.c
861         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-revoke.lo `test -f 'revoke.c' || echo '$(srcdir)/'`revoke.c
862
863 libhx509_la-asn1_OCSPBasicOCSPResponse.lo: asn1_OCSPBasicOCSPResponse.c
864         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPBasicOCSPResponse.lo `test -f 'asn1_OCSPBasicOCSPResponse.c' || echo '$(srcdir)/'`asn1_OCSPBasicOCSPResponse.c
865
866 libhx509_la-asn1_OCSPCertID.lo: asn1_OCSPCertID.c
867         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPCertID.lo `test -f 'asn1_OCSPCertID.c' || echo '$(srcdir)/'`asn1_OCSPCertID.c
868
869 libhx509_la-asn1_OCSPCertStatus.lo: asn1_OCSPCertStatus.c
870         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPCertStatus.lo `test -f 'asn1_OCSPCertStatus.c' || echo '$(srcdir)/'`asn1_OCSPCertStatus.c
871
872 libhx509_la-asn1_OCSPInnerRequest.lo: asn1_OCSPInnerRequest.c
873         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPInnerRequest.lo `test -f 'asn1_OCSPInnerRequest.c' || echo '$(srcdir)/'`asn1_OCSPInnerRequest.c
874
875 libhx509_la-asn1_OCSPKeyHash.lo: asn1_OCSPKeyHash.c
876         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPKeyHash.lo `test -f 'asn1_OCSPKeyHash.c' || echo '$(srcdir)/'`asn1_OCSPKeyHash.c
877
878 libhx509_la-asn1_OCSPRequest.lo: asn1_OCSPRequest.c
879         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPRequest.lo `test -f 'asn1_OCSPRequest.c' || echo '$(srcdir)/'`asn1_OCSPRequest.c
880
881 libhx509_la-asn1_OCSPResponderID.lo: asn1_OCSPResponderID.c
882         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponderID.lo `test -f 'asn1_OCSPResponderID.c' || echo '$(srcdir)/'`asn1_OCSPResponderID.c
883
884 libhx509_la-asn1_OCSPResponse.lo: asn1_OCSPResponse.c
885         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponse.lo `test -f 'asn1_OCSPResponse.c' || echo '$(srcdir)/'`asn1_OCSPResponse.c
886
887 libhx509_la-asn1_OCSPResponseBytes.lo: asn1_OCSPResponseBytes.c
888         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseBytes.lo `test -f 'asn1_OCSPResponseBytes.c' || echo '$(srcdir)/'`asn1_OCSPResponseBytes.c
889
890 libhx509_la-asn1_OCSPResponseData.lo: asn1_OCSPResponseData.c
891         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseData.lo `test -f 'asn1_OCSPResponseData.c' || echo '$(srcdir)/'`asn1_OCSPResponseData.c
892
893 libhx509_la-asn1_OCSPResponseStatus.lo: asn1_OCSPResponseStatus.c
894         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseStatus.lo `test -f 'asn1_OCSPResponseStatus.c' || echo '$(srcdir)/'`asn1_OCSPResponseStatus.c
895
896 libhx509_la-asn1_OCSPSignature.lo: asn1_OCSPSignature.c
897         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPSignature.lo `test -f 'asn1_OCSPSignature.c' || echo '$(srcdir)/'`asn1_OCSPSignature.c
898
899 libhx509_la-asn1_OCSPSingleResponse.lo: asn1_OCSPSingleResponse.c
900         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPSingleResponse.lo `test -f 'asn1_OCSPSingleResponse.c' || echo '$(srcdir)/'`asn1_OCSPSingleResponse.c
901
902 libhx509_la-asn1_OCSPTBSRequest.lo: asn1_OCSPTBSRequest.c
903         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPTBSRequest.lo `test -f 'asn1_OCSPTBSRequest.c' || echo '$(srcdir)/'`asn1_OCSPTBSRequest.c
904
905 libhx509_la-asn1_OCSPVersion.lo: asn1_OCSPVersion.c
906         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPVersion.lo `test -f 'asn1_OCSPVersion.c' || echo '$(srcdir)/'`asn1_OCSPVersion.c
907
908 libhx509_la-asn1_id_pkix_ocsp.lo: asn1_id_pkix_ocsp.c
909         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp.lo `test -f 'asn1_id_pkix_ocsp.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp.c
910
911 libhx509_la-asn1_id_pkix_ocsp_basic.lo: asn1_id_pkix_ocsp_basic.c
912         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp_basic.lo `test -f 'asn1_id_pkix_ocsp_basic.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp_basic.c
913
914 libhx509_la-asn1_id_pkix_ocsp_nonce.lo: asn1_id_pkix_ocsp_nonce.c
915         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp_nonce.lo `test -f 'asn1_id_pkix_ocsp_nonce.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp_nonce.c
916
917 libhx509_la-asn1_CertificationRequestInfo.lo: asn1_CertificationRequestInfo.c
918         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_CertificationRequestInfo.lo `test -f 'asn1_CertificationRequestInfo.c' || echo '$(srcdir)/'`asn1_CertificationRequestInfo.c
919
920 libhx509_la-asn1_CertificationRequest.lo: asn1_CertificationRequest.c
921         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_CertificationRequest.lo `test -f 'asn1_CertificationRequest.c' || echo '$(srcdir)/'`asn1_CertificationRequest.c
922
923 libhx509_la-hx509_err.lo: hx509_err.c
924         $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-hx509_err.lo `test -f 'hx509_err.c' || echo '$(srcdir)/'`hx509_err.c
925
926 hxtool-hxtool.o: hxtool.c
927         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool.o `test -f 'hxtool.c' || echo '$(srcdir)/'`hxtool.c
928
929 hxtool-hxtool.obj: hxtool.c
930         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool.obj `if test -f 'hxtool.c'; then $(CYGPATH_W) 'hxtool.c'; else $(CYGPATH_W) '$(srcdir)/hxtool.c'; fi`
931
932 hxtool-hxtool-commands.o: hxtool-commands.c
933         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool-commands.o `test -f 'hxtool-commands.c' || echo '$(srcdir)/'`hxtool-commands.c
934
935 hxtool-hxtool-commands.obj: hxtool-commands.c
936         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool-commands.obj `if test -f 'hxtool-commands.c'; then $(CYGPATH_W) 'hxtool-commands.c'; else $(CYGPATH_W) '$(srcdir)/hxtool-commands.c'; fi`
937
938 test_soft_pkcs11-test_soft_pkcs11.o: test_soft_pkcs11.c
939         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_soft_pkcs11_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_soft_pkcs11-test_soft_pkcs11.o `test -f 'test_soft_pkcs11.c' || echo '$(srcdir)/'`test_soft_pkcs11.c
940
941 test_soft_pkcs11-test_soft_pkcs11.obj: test_soft_pkcs11.c
942         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_soft_pkcs11_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_soft_pkcs11-test_soft_pkcs11.obj `if test -f 'test_soft_pkcs11.c'; then $(CYGPATH_W) 'test_soft_pkcs11.c'; else $(CYGPATH_W) '$(srcdir)/test_soft_pkcs11.c'; fi`
943
944 mostlyclean-libtool:
945         -rm -f *.lo
946
947 clean-libtool:
948         -rm -rf .libs _libs
949 install-dist_includeHEADERS: $(dist_include_HEADERS)
950         @$(NORMAL_INSTALL)
951         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
952         @list='$(dist_include_HEADERS)'; for p in $$list; do \
953           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
954           f=$(am__strip_dir) \
955           echo " $(dist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
956           $(dist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
957         done
958
959 uninstall-dist_includeHEADERS:
960         @$(NORMAL_UNINSTALL)
961         @list='$(dist_include_HEADERS)'; for p in $$list; do \
962           f=$(am__strip_dir) \
963           echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
964           rm -f "$(DESTDIR)$(includedir)/$$f"; \
965         done
966 install-nodist_includeHEADERS: $(nodist_include_HEADERS)
967         @$(NORMAL_INSTALL)
968         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
969         @list='$(nodist_include_HEADERS)'; for p in $$list; do \
970           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
971           f=$(am__strip_dir) \
972           echo " $(nodist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
973           $(nodist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
974         done
975
976 uninstall-nodist_includeHEADERS:
977         @$(NORMAL_UNINSTALL)
978         @list='$(nodist_include_HEADERS)'; for p in $$list; do \
979           f=$(am__strip_dir) \
980           echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
981           rm -f "$(DESTDIR)$(includedir)/$$f"; \
982         done
983
984 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
985         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
986         unique=`for i in $$list; do \
987             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
988           done | \
989           $(AWK) '    { files[$$0] = 1; } \
990                END { for (i in files) print i; }'`; \
991         mkid -fID $$unique
992 tags: TAGS
993
994 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
995                 $(TAGS_FILES) $(LISP)
996         tags=; \
997         here=`pwd`; \
998         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
999         unique=`for i in $$list; do \
1000             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1001           done | \
1002           $(AWK) '    { files[$$0] = 1; } \
1003                END { for (i in files) print i; }'`; \
1004         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
1005           test -n "$$unique" || unique=$$empty_fix; \
1006           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1007             $$tags $$unique; \
1008         fi
1009 ctags: CTAGS
1010 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1011                 $(TAGS_FILES) $(LISP)
1012         tags=; \
1013         here=`pwd`; \
1014         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1015         unique=`for i in $$list; do \
1016             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1017           done | \
1018           $(AWK) '    { files[$$0] = 1; } \
1019                END { for (i in files) print i; }'`; \
1020         test -z "$(CTAGS_ARGS)$$tags$$unique" \
1021           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1022              $$tags $$unique
1023
1024 GTAGS:
1025         here=`$(am__cd) $(top_builddir) && pwd` \
1026           && cd $(top_srcdir) \
1027           && gtags -i $(GTAGS_ARGS) $$here
1028
1029 distclean-tags:
1030         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1031
1032 check-TESTS: $(TESTS)
1033         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
1034         srcdir=$(srcdir); export srcdir; \
1035         list=' $(TESTS) '; \
1036         if test -n "$$list"; then \
1037           for tst in $$list; do \
1038             if test -f ./$$tst; then dir=./; \
1039             elif test -f $$tst; then dir=; \
1040             else dir="$(srcdir)/"; fi; \
1041             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1042               all=`expr $$all + 1`; \
1043               case " $(XFAIL_TESTS) " in \
1044               *$$ws$$tst$$ws*) \
1045                 xpass=`expr $$xpass + 1`; \
1046                 failed=`expr $$failed + 1`; \
1047                 echo "XPASS: $$tst"; \
1048               ;; \
1049               *) \
1050                 echo "PASS: $$tst"; \
1051               ;; \
1052               esac; \
1053             elif test $$? -ne 77; then \
1054               all=`expr $$all + 1`; \
1055               case " $(XFAIL_TESTS) " in \
1056               *$$ws$$tst$$ws*) \
1057                 xfail=`expr $$xfail + 1`; \
1058                 echo "XFAIL: $$tst"; \
1059               ;; \
1060               *) \
1061                 failed=`expr $$failed + 1`; \
1062                 echo "FAIL: $$tst"; \
1063               ;; \
1064               esac; \
1065             else \
1066               skip=`expr $$skip + 1`; \
1067               echo "SKIP: $$tst"; \
1068             fi; \
1069           done; \
1070           if test "$$failed" -eq 0; then \
1071             if test "$$xfail" -eq 0; then \
1072               banner="All $$all tests passed"; \
1073             else \
1074               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
1075             fi; \
1076           else \
1077             if test "$$xpass" -eq 0; then \
1078               banner="$$failed of $$all tests failed"; \
1079             else \
1080               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
1081             fi; \
1082           fi; \
1083           dashes="$$banner"; \
1084           skipped=""; \
1085           if test "$$skip" -ne 0; then \
1086             skipped="($$skip tests were not run)"; \
1087             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1088               dashes="$$skipped"; \
1089           fi; \
1090           report=""; \
1091           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1092             report="Please report to $(PACKAGE_BUGREPORT)"; \
1093             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1094               dashes="$$report"; \
1095           fi; \
1096           dashes=`echo "$$dashes" | sed s/./=/g`; \
1097           echo "$$dashes"; \
1098           echo "$$banner"; \
1099           test -z "$$skipped" || echo "$$skipped"; \
1100           test -z "$$report" || echo "$$report"; \
1101           echo "$$dashes"; \
1102           test "$$failed" -eq 0; \
1103         else :; fi
1104
1105 distdir: $(DISTFILES)
1106         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1107         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108         list='$(DISTFILES)'; \
1109           dist_files=`for file in $$list; do echo $$file; done | \
1110           sed -e "s|^$$srcdirstrip/||;t" \
1111               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1112         case $$dist_files in \
1113           */*) $(MKDIR_P) `echo "$$dist_files" | \
1114                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1115                            sort -u` ;; \
1116         esac; \
1117         for file in $$dist_files; do \
1118           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1119           if test -d $$d/$$file; then \
1120             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1121             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1122               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1123             fi; \
1124             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1125           else \
1126             test -f $(distdir)/$$file \
1127             || cp -p $$d/$$file $(distdir)/$$file \
1128             || exit 1; \
1129           fi; \
1130         done
1131         $(MAKE) $(AM_MAKEFLAGS) \
1132           top_distdir="$(top_distdir)" distdir="$(distdir)" \
1133           dist-hook
1134 check-am: all-am
1135         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
1136         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1137 check: $(BUILT_SOURCES)
1138         $(MAKE) $(AM_MAKEFLAGS) check-am
1139 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
1140 install-binPROGRAMS: install-libLTLIBRARIES
1141
1142 installdirs:
1143         for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
1144           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1145         done
1146 install: $(BUILT_SOURCES)
1147         $(MAKE) $(AM_MAKEFLAGS) install-am
1148 install-exec: install-exec-am
1149 install-data: install-data-am
1150 uninstall: uninstall-am
1151
1152 install-am: all-am
1153         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1154
1155 installcheck: installcheck-am
1156 install-strip:
1157         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1158           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1159           `test -z '$(STRIP)' || \
1160             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1161 mostlyclean-generic:
1162
1163 clean-generic:
1164         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1165
1166 distclean-generic:
1167         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1168
1169 maintainer-clean-generic:
1170         @echo "This command is intended for maintainers to use"
1171         @echo "it deletes files that may require special tools to rebuild."
1172         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1173 clean: clean-am
1174
1175 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1176         clean-libLTLIBRARIES clean-libtool clean-local mostlyclean-am
1177
1178 distclean: distclean-am
1179         -rm -f Makefile
1180 distclean-am: clean-am distclean-compile distclean-generic \
1181         distclean-tags
1182
1183 dvi: dvi-am
1184
1185 dvi-am:
1186
1187 html: html-am
1188
1189 info: info-am
1190
1191 info-am:
1192
1193 install-data-am: install-dist_includeHEADERS \
1194         install-nodist_includeHEADERS
1195         @$(NORMAL_INSTALL)
1196         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1197
1198 install-dvi: install-dvi-am
1199
1200 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
1201         @$(NORMAL_INSTALL)
1202         $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1203
1204 install-html: install-html-am
1205
1206 install-info: install-info-am
1207
1208 install-man:
1209
1210 install-pdf: install-pdf-am
1211
1212 install-ps: install-ps-am
1213
1214 installcheck-am:
1215
1216 maintainer-clean: maintainer-clean-am
1217         -rm -f Makefile
1218 maintainer-clean-am: distclean-am maintainer-clean-generic
1219
1220 mostlyclean: mostlyclean-am
1221
1222 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1223         mostlyclean-libtool
1224
1225 pdf: pdf-am
1226
1227 pdf-am:
1228
1229 ps: ps-am
1230
1231 ps-am:
1232
1233 uninstall-am: uninstall-binPROGRAMS uninstall-dist_includeHEADERS \
1234         uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1235         @$(NORMAL_INSTALL)
1236         $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1237
1238 .MAKE: install-am install-data-am install-exec-am install-strip \
1239         uninstall-am
1240
1241 .PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1242         check-local clean clean-binPROGRAMS clean-checkPROGRAMS \
1243         clean-generic clean-libLTLIBRARIES clean-libtool clean-local \
1244         ctags dist-hook distclean distclean-compile distclean-generic \
1245         distclean-libtool distclean-tags distdir dvi dvi-am html \
1246         html-am info info-am install install-am install-binPROGRAMS \
1247         install-data install-data-am install-data-hook \
1248         install-dist_includeHEADERS install-dvi install-dvi-am \
1249         install-exec install-exec-am install-exec-hook install-html \
1250         install-html-am install-info install-info-am \
1251         install-libLTLIBRARIES install-man \
1252         install-nodist_includeHEADERS install-pdf install-pdf-am \
1253         install-ps install-ps-am install-strip installcheck \
1254         installcheck-am installdirs maintainer-clean \
1255         maintainer-clean-generic mostlyclean mostlyclean-compile \
1256         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1257         tags uninstall uninstall-am uninstall-binPROGRAMS \
1258         uninstall-dist_includeHEADERS uninstall-hook \
1259         uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1260
1261
1262 install-suid-programs:
1263         @foo='$(bin_SUIDS)'; \
1264         for file in $$foo; do \
1265         x=$(DESTDIR)$(bindir)/$$file; \
1266         if chown 0:0 $$x && chmod u+s $$x; then :; else \
1267         echo "*"; \
1268         echo "* Failed to install $$x setuid root"; \
1269         echo "*"; \
1270         fi; done
1271
1272 install-exec-hook: install-suid-programs
1273
1274 install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
1275         @foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
1276         for f in $$foo; do \
1277                 f=`basename $$f`; \
1278                 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1279                 else file="$$f"; fi; \
1280                 if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1281                 : ; else \
1282                         echo " $(CP) $$file $(buildinclude)/$$f"; \
1283                         $(CP) $$file $(buildinclude)/$$f; \
1284                 fi ; \
1285         done ; \
1286         foo='$(nobase_include_HEADERS)'; \
1287         for f in $$foo; do \
1288                 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1289                 else file="$$f"; fi; \
1290                 $(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1291                 if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1292                 : ; else \
1293                         echo " $(CP) $$file $(buildinclude)/$$f"; \
1294                         $(CP) $$file $(buildinclude)/$$f; \
1295                 fi ; \
1296         done
1297
1298 all-local: install-build-headers
1299
1300 check-local::
1301         @if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1302           foo=''; elif test '$(CHECK_LOCAL)'; then \
1303           foo='$(CHECK_LOCAL)'; else \
1304           foo='$(PROGRAMS)'; fi; \
1305           if test "$$foo"; then \
1306           failed=0; all=0; \
1307           for i in $$foo; do \
1308             all=`expr $$all + 1`; \
1309             if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1310               echo "PASS: $$i"; \
1311             else \
1312               echo "FAIL: $$i"; \
1313               failed=`expr $$failed + 1`; \
1314             fi; \
1315           done; \
1316           if test "$$failed" -eq 0; then \
1317             banner="All $$all tests passed"; \
1318           else \
1319             banner="$$failed of $$all tests failed"; \
1320           fi; \
1321           dashes=`echo "$$banner" | sed s/./=/g`; \
1322           echo "$$dashes"; \
1323           echo "$$banner"; \
1324           echo "$$dashes"; \
1325           test "$$failed" -eq 0 || exit 1; \
1326         fi
1327
1328 .x.c:
1329         @cmp -s $< $@ 2> /dev/null || cp $< $@
1330 #NROFF_MAN = nroff -man
1331 .1.cat1:
1332         $(NROFF_MAN) $< > $@
1333 .3.cat3:
1334         $(NROFF_MAN) $< > $@
1335 .5.cat5:
1336         $(NROFF_MAN) $< > $@
1337 .8.cat8:
1338         $(NROFF_MAN) $< > $@
1339
1340 dist-cat1-mans:
1341         @foo='$(man1_MANS)'; \
1342         bar='$(man_MANS)'; \
1343         for i in $$bar; do \
1344         case $$i in \
1345         *.1) foo="$$foo $$i";; \
1346         esac; done ;\
1347         for i in $$foo; do \
1348                 x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1349                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1350                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1351         done
1352
1353 dist-cat3-mans:
1354         @foo='$(man3_MANS)'; \
1355         bar='$(man_MANS)'; \
1356         for i in $$bar; do \
1357         case $$i in \
1358         *.3) foo="$$foo $$i";; \
1359         esac; done ;\
1360         for i in $$foo; do \
1361                 x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1362                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1363                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1364         done
1365
1366 dist-cat5-mans:
1367         @foo='$(man5_MANS)'; \
1368         bar='$(man_MANS)'; \
1369         for i in $$bar; do \
1370         case $$i in \
1371         *.5) foo="$$foo $$i";; \
1372         esac; done ;\
1373         for i in $$foo; do \
1374                 x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1375                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1376                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1377         done
1378
1379 dist-cat8-mans:
1380         @foo='$(man8_MANS)'; \
1381         bar='$(man_MANS)'; \
1382         for i in $$bar; do \
1383         case $$i in \
1384         *.8) foo="$$foo $$i";; \
1385         esac; done ;\
1386         for i in $$foo; do \
1387                 x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1388                 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1389                 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1390         done
1391
1392 dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1393
1394 install-cat-mans:
1395         $(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1396
1397 uninstall-cat-mans:
1398         $(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1399
1400 install-data-hook: install-cat-mans
1401 uninstall-hook: uninstall-cat-mans
1402
1403 .et.h:
1404         $(COMPILE_ET) $<
1405 .et.c:
1406         $(COMPILE_ET) $<
1407
1408 #
1409 # Useful target for debugging
1410 #
1411
1412 check-valgrind:
1413         tobjdir=`cd $(top_builddir) && pwd` ; \
1414         tsrcdir=`cd $(top_srcdir) && pwd` ; \
1415         env TESTS_ENVIRONMENT="$${tobjdir}/libtool --mode execute valgrind --leak-check=full --trace-children=yes --quiet -q --num-callers=30 --suppressions=$${tsrcdir}/cf/valgrind-suppressions" make check
1416
1417 #
1418 # Target to please samba build farm, builds distfiles in-tree.
1419 # Will break when automake changes...
1420 #
1421
1422 distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1423         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1424           if test "$$subdir" != .; then \
1425           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1426           fi ; \
1427         done
1428 $(libhx509_la_OBJECTS): $(srcdir)/version-script.map
1429
1430 $(gen_files_ocsp) ocsp_asn1.h: ocsp_asn1_files
1431 $(gen_files_pkcs10) pkcs10_asn1.h: pkcs10_asn1_files
1432 $(gen_files_crmf) crmf_asn1.h: crmf_asn1_files
1433
1434 ocsp_asn1_files: $(asn1_compile) $(srcdir)/ocsp.asn1
1435         $(asn1_compile) --preserve-binary=OCSPTBSRequest --preserve-binary=OCSPResponseData $(srcdir)/ocsp.asn1 ocsp_asn1 || (rm -f ocsp_asn1_files ; exit 1)
1436
1437 pkcs10_asn1_files: $(asn1_compile) $(srcdir)/pkcs10.asn1
1438         $(asn1_compile) --preserve-binary=CertificationRequestInfo $(srcdir)/pkcs10.asn1 pkcs10_asn1 || (rm -f pkcs10_asn1_files ; exit 1)
1439
1440 crmf_asn1_files: $(asn1_compile) $(srcdir)/crmf.asn1
1441         $(asn1_compile) $(srcdir)/crmf.asn1 crmf_asn1 || (rm -f crmf_asn1_files ; exit 1)
1442
1443 $(libhx509_la_OBJECTS): $(srcdir)/hx509-protos.h $(srcdir)/hx509-private.h
1444
1445 $(srcdir)/hx509-protos.h:
1446         cd $(srcdir) && perl ../../cf/make-proto.pl -R '^(_|^C)' -E HX509_LIB_FUNCTION -q -P comment -o hx509-protos.h $(dist_libhx509_la_SOURCES) || rm -f hx509-protos.h
1447
1448 $(srcdir)/hx509-private.h:
1449         cd $(srcdir) && perl ../../cf/make-proto.pl -q -P comment -p hx509-private.h $(dist_libhx509_la_SOURCES) || rm -f hx509-private.h
1450
1451 hxtool-commands.c hxtool-commands.h: hxtool-commands.in $(SLC)
1452         $(SLC) $(srcdir)/hxtool-commands.in
1453
1454 $(hxtool_OBJECTS): hxtool-commands.h
1455
1456 clean-local:
1457         @echo "cleaning PKITS" ; rm -rf PKITS_data
1458
1459 test_ca: test_ca.in Makefile
1460         $(do_subst) < $(srcdir)/test_ca.in > test_ca.tmp
1461         chmod +x test_ca.tmp
1462         mv test_ca.tmp test_ca
1463
1464 test_cert: test_cert.in Makefile
1465         $(do_subst) < $(srcdir)/test_cert.in > test_cert.tmp
1466         chmod +x test_cert.tmp
1467         mv test_cert.tmp test_cert
1468
1469 test_chain: test_chain.in Makefile
1470         $(do_subst) < $(srcdir)/test_chain.in > test_chain.tmp
1471         chmod +x test_chain.tmp
1472         mv test_chain.tmp test_chain
1473
1474 test_cms: test_cms.in Makefile
1475         $(do_subst) < $(srcdir)/test_cms.in > test_cms.tmp
1476         chmod +x test_cms.tmp
1477         mv test_cms.tmp test_cms
1478
1479 test_crypto: test_crypto.in Makefile
1480         $(do_subst) < $(srcdir)/test_crypto.in > test_crypto.tmp
1481         chmod +x test_crypto.tmp
1482         mv test_crypto.tmp test_crypto
1483
1484 test_nist: test_nist.in Makefile
1485         $(do_subst) < $(srcdir)/test_nist.in > test_nist.tmp
1486         chmod +x test_nist.tmp
1487         mv test_nist.tmp test_nist
1488
1489 test_nist2: test_nist2.in Makefile
1490         $(do_subst) < $(srcdir)/test_nist2.in > test_nist2.tmp
1491         chmod +x test_nist2.tmp
1492         mv test_nist2.tmp test_nist2
1493
1494 test_pkcs11: test_pkcs11.in Makefile
1495         $(do_subst) < $(srcdir)/test_pkcs11.in > test_pkcs11.tmp
1496         chmod +x test_pkcs11.tmp
1497         mv test_pkcs11.tmp test_pkcs11
1498
1499 test_java_pkcs11: test_java_pkcs11.in Makefile
1500         $(do_subst) < $(srcdir)/test_java_pkcs11.in > test_java_pkcs11.tmp
1501         chmod +x test_java_pkcs11.tmp
1502         mv test_java_pkcs11.tmp test_java_pkcs11
1503
1504 test_nist_cert: test_nist_cert.in Makefile
1505         $(do_subst) < $(srcdir)/test_nist_cert.in > test_nist_cert.tmp
1506         chmod +x test_nist_cert.tmp
1507         mv test_nist_cert.tmp test_nist_cert
1508
1509 test_nist_pkcs12: test_nist_pkcs12.in Makefile
1510         $(do_subst) < $(srcdir)/test_nist_pkcs12.in > test_nist_pkcs12.tmp
1511         chmod +x test_nist_pkcs12.tmp
1512         mv test_nist_pkcs12.tmp test_nist_pkcs12
1513
1514 test_req: test_req.in Makefile
1515         $(do_subst) < $(srcdir)/test_req.in > test_req.tmp
1516         chmod +x test_req.tmp
1517         mv test_req.tmp test_req
1518
1519 test_windows: test_windows.in Makefile
1520         $(do_subst) < $(srcdir)/test_windows.in > test_windows.tmp
1521         chmod +x test_windows.tmp
1522         mv test_windows.tmp test_windows
1523
1524 test_query: test_query.in Makefile
1525         $(do_subst) < $(srcdir)/test_query.in > test_query.tmp
1526         chmod +x test_query.tmp
1527         mv test_query.tmp test_query
1528 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1529 # Otherwise a system limit (for SysV at least) may be exceeded.
1530 .NOEXPORT: